Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultArticle

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResult
org.drinkless.tdlib.TdApi.InlineQueryResultArticle

Enclosing class:
  TdApi

public static class TdApi.InlineQueryResultArticle extends TdApi.InlineQueryResult
Represents a link to an article or web page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InlineQueryResult

  `TdApi.InlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  A short description of the result.
  `boolean`
  `hideUrl`
  True, if the URL must be not shown.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.Thumbnail`
  `thumbnail`
  Result thumbnail in JPEG format; may be null.
  `String`
  `title`
  Title of the result.
  `String`
  `url`
  URL of the result, if it exists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultArticle()`
  Represents a link to an article or web page.
  `InlineQueryResultArticle(String id, String url, boolean hideUrl, String title, String description, TdApi.Thumbnail thumbnail)`
  Represents a link to an article or web page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### url

    public String url
    URL of the result, if it exists.

  - ### hideUrl

    public boolean hideUrl
    True, if the URL must be not shown.

  - ### title

    public String title
    Title of the result.

  - ### description

    public String description
    A short description of the result.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Result thumbnail in JPEG format; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultArticle

    public InlineQueryResultArticle()
    Represents a link to an article or web page.

  - ### InlineQueryResultArticle

    public InlineQueryResultArticle(String id, String url, boolean hideUrl, String title, String description, TdApi.Thumbnail thumbnail)
    Represents a link to an article or web page.
    Parameters:
      `id` - Unique identifier of the query result.
      `url` - URL of the result, if it exists.
      `hideUrl` - True, if the URL must be not shown.
      `title` - Title of the result.
      `description` - A short description of the result.
      `thumbnail` - Result thumbnail in JPEG format; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InlineQueryResult`
    Returns:
      this.CONSTRUCTOR